Name:		vice
Version:	2.4.5
Release:	%mkrel 2
License:	GPLv2+
Summary:	Versatile Commodore Emulator
Group:		Emulators
# http://sourceforge.net/projects/vice-emu/files/development-releases/vice-2.4.1.tar.gz
Source0:	http://sourceforge.net/projects/vice-emu/files/development-releases/%{name}-%{version}.tar.gz
Source1:	vice-normalicons.tar.bz2
Source2:	vice-largeicons.tar.bz2
Source3:	vice-miniicons.tar.bz2
URL:		http://www.viceteam.org/
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	giflib-devel
BuildRequires:	libalsa-devel
BuildRequires:	gtkglext-devel
BuildRequires:	pkgconfig(xf86vidmodeproto)
BuildRequires:	flex
BuildRequires:	mkfontdir 
BuildRequires:	bdftopcf
BuildRequires:	libxt-devel
BuildRequires:	gettext-devel
BuildRequires:	SDL_sound-devel
BuildRequires:	vte-devel
Requires(post):	info-install
Requires(preun): info-install

%description
VICE is a set of accurate emulators for the Commodore 64, 128, VIC20,
PET and CBM-II 8-bit computers, all of which run under the X Window
System.

%prep
%setup -q -n %{name}-%{version}

%build
export CFLAGS="%{optflags} -DNO_REGPARM" 
%configure2_5x --enable-gnomeui --enable-fullscreen \

%make

%install
%makeinstall_std
#xdg menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/vice-x64.desktop << EOF
[Desktop Entry]
Name=C64 Emulator
Comment=Commodore 64 Emulator
Exec=%{_bindir}/x64 %U
Icon=c64icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;System;Emulator;
EOF
cat > %{buildroot}%{_datadir}/applications/vice-x128.desktop << EOF
[Desktop Entry]
Name=C128 Emulator
Comment=Commodore 128 Emulator
Exec=%{_bindir}/x128 %U
Icon=c128icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;System;Emulator;
EOF
cat > %{buildroot}%{_datadir}/applications/vice-xpet.desktop << EOF
[Desktop Entry]
Name=PET Emulator
Comment=Commodore PET Emulator
Exec=%{_bindir}/xpet %U
Icon=peticon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;System;Emulator;
EOF
cat > %{buildroot}%{_datadir}/applications/vice-xvic.desktop << EOF
[Desktop Entry]
Name=VIC 20 Emulator
Comment=Commodore VIC 20 Emulator
Exec=%{_bindir}/xvic %U
Icon=vic20icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;System;Emulator;
EOF
cat > %{buildroot}%{_datadir}/applications/vice-xcbm2.desktop << EOF
[Desktop Entry]
Name=CBM2 Emulator
Comment=Commodore BM 2 Emulator
Exec=%{_bindir}/xcbm2 %U
Icon=c610icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;System;Emulator;
EOF
cat > %{buildroot}%{_datadir}/applications/vice-xplus4.desktop << EOF
[Desktop Entry]
Name=CPLUS4 Emulator
Comment=Commodore PLUS4 Emulator
Exec=%{_bindir}/xplus4 %U
Icon=plus4icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;System;Emulator;
EOF
cat > %{buildroot}%{_datadir}/applications/vice-c1541.desktop << EOF
[Desktop Entry]
Name=VICE disk image tool
Comment=C1541 stand alone disk image maintenance program
Exec=%{_bindir}/c1541 %U
Icon=commodore
Terminal=true
Type=Application
StartupNotify=true
Categories=System;Emulator;
EOF
cat > %{buildroot}%{_datadir}/applications/vice-vsid.desktop << EOF
[Desktop Entry]
Name=VSID music player
Comment=VICE SID music player for Commodore tunes
Exec=%{_bindir}/vsid %U
Icon=commodore
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;Audio;Player;
EOF

#install icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
tar xjf %{SOURCE1} -C %{buildroot}%{_iconsdir}/hicolor/32x32/apps
tar xjf %{SOURCE2} -C %{buildroot}%{_iconsdir}/hicolor/48x48/apps
tar xjf %{SOURCE3} -C %{buildroot}%{_iconsdir}/hicolor/16x16/apps

%find_lang %{name}

#gw these are straight conversions of the info document
rm -f %{buildroot}%{_infodir}/*.{txt,pdf}

%post
%_install_info vice.info

%preun
%_remove_install_info vice.info

%files -f %{name}.lang
%doc AUTHORS FEEDBACK INSTALL README ChangeLog doc/html/plain/*
%{_bindir}/*
%{_libdir}/vice
%{_mandir}/man1/*
%{_infodir}/vice.info*
%{_datadir}/applications/vice-*
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.4.5-2.mga4
+ Revision: 532949
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 barjac <barjac> 2.4.5-1.mga4
+ Revision: 470408
- new version 2.4.5

* Tue Jun 04 2013 fwang <fwang> 2.4.1-3.mga4
+ Revision: 436946
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 2.4.1-2.mga3
+ Revision: 385407
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 barjac <barjac> 2.4.1-1.mga3
+ Revision: 341352
- fix lib dir
- correct tarball perms
- new version 2.4.1
- changed BR
- changed source tarball format

  + fwang <fwang>
    - update br

* Fri Oct 12 2012 barjac <barjac> 2.3.23-1.mga3
+ Revision: 304984
- new version
- removed BR ffmpeg-devel added BR vte-devel

* Sun Feb 26 2012 barjac <barjac> 2.3.14-2.mga2
+ Revision: 215272
+ rebuild (emptylog)

* Sun Feb 12 2012 barjac <barjac> 2.3.14-1.mga2
+ Revision: 207596
- New version
- Desktop files validated
- Spec cleaned
- BRs adjusted
- imported package vice


* Wed Mar 31 2010 Götz Waschk <waschk@mandriva.org> 2.2-1mdv2010.1
+ Revision: 530422
- drop all patches

  + Zombie Ryushu <ryushu@mandriva.org>
    - upgrade to 2.2
    - upgrade to 2.2

* Sun Aug 16 2009 Götz Waschk <waschk@mandriva.org> 2.1-5mdv2010.0
+ Revision: 416907
- fix build

* Fri Feb 27 2009 Emmanuel Andry <eandry@mandriva.org> 2.1-4mdv2009.1
+ Revision: 345687
- diff P1 from svn upstream to fix alsa fragment issue

* Wed Feb 25 2009 Götz Waschk <waschk@mandriva.org> 2.1-3mdv2009.1
+ Revision: 344823
- rebuild for new libreadline

* Sat Jan 17 2009 Emmanuel Andry <eandry@mandriva.org> 2.1-2mdv2009.1
+ Revision: 330795
- diff P0 to fix str fmt

  + Zombie Ryushu <ryushu@mandriva.org>
    - New version to fix XRandR Fullscreen bug

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 2.0-1mdv2009.1
+ Revision: 296231
- new version
- update build deps
- update source URL

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.22-2mdv2009.0
+ Revision: 218426
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.22-2mdv2008.1
+ Revision: 136570
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Götz Waschk <waschk@mandriva.org> 1.22-2mdv2008.0
+ Revision: 80716
- fix buildrequires

* Thu Sep 06 2007 Götz Waschk <waschk@mandriva.org> 1.22-1mdv2008.0
+ Revision: 80596
- new version
- drop patch
- fix menu category for vsid
- fix buildrequires

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 1.21-2mdv2008.0
+ Revision: 70350
- info file must be unregistered before being uninstalled

  + Götz Waschk <waschk@mandriva.org>
    - readd buildroot

* Thu Jul 26 2007 Adam Williamson <awilliamson@mandriva.org> 1.21-1mdv2008.0
+ Revision: 55710
- fd.o icons
- drop old menu
- update requires / buildrequires
- add patch0 (fixes bug caused by libx11 security update, from Debian)
- new release 1.21


* Thu Jan 18 2007 Götz Waschk <waschk@mandriva.org> 1.20-2mdv2007.0
+ Revision: 110193
- build with opencbm

* Thu Jan 18 2007 Götz Waschk <waschk@mandriva.org> 1.20-1mdv2007.1
+ Revision: 110082
- Import vice

* Thu Jan 18 2007 Gtz Waschk <waschk@mandriva.org> 1.20-1mdv2007.1
- fix buildrequires
- new version
- drop patch

* Thu Jun 29 2006 Gtz Waschk <waschk@mandriva.org> 1.19-2mdv2007.0
- xdg menu
- fix buildrequires

* Thu May 18 2006 Gtz Waschk <waschk@mandriva.org> 1.19-1mdk
- patch for experimental gnome2 ui
- fix buildrequires
- new version

* Thu Oct 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.17-1mdk
- New release 1.17

* Sat May 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.16-2mdk
- lib64 fix
- fix ownership of icons
- %%mkrel

* Wed Feb 16 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.16-1mdk
- 1.16

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.15-3mdk
- rebuild for new readline

* Fri Nov 19 2004 Götz Waschk <waschk@linux-mandrake.com> 1.15-2mdk
- fix mime types

* Fri Oct 22 2004 Gåtz Waschk <waschk@linux-mandrake.com> 1.15-1mdk
- drop merged patch
- New release 1.15

* Fri Aug 20 2004 Gåtz Waschk <waschk@linux-mandrake.com> 1.14-4mdk
- rebuild for new menu

* Wed Aug 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.14-3mdk
- fix crash on 64 bit architectures (P0)
- update url

* Tue Jun 08 2004 Götz Waschk <waschk@linux-mandrake.com> 1.14-2mdk
- rebuild for new g++

* Sat May 15 2004 Michael Scherer <misc@mandrake.org> 1.14-1mdk
- New release 1.14

